> For the complete documentation index, see [llms.txt](https://www.mongodb.com/docs/api/doc/atlas-admin-api-v1/llms.txt)

# Return One Invoice for One Organization

> GET /api/atlas/v1.0/orgs/{orgId}/invoices/{invoiceId}
> 
> Returns one invoice that MongoDB issued to the specified organization. A unique 24-hexadecimal digit string identifies the invoice. You can choose to receive this invoice in JSON or CSV format. If you have a cross-organization setup, you can query for a linked invoice if you have the Organization Billing Admin or Organization Owner role.
> To compute the total owed amount of the invoice - sum up total owed amount of each payment included into the invoice. To compute payment's owed amount - use formula *totalBilledCents* * *unitPrice* + *salesTax* - *startingBalanceCents*.


## Role requirements
  - Organization Billing Viewer


## Servers
- https://cloud.mongodb.com: https://cloud.mongodb.com


## Authentication methods
- Service accounts
- Digest auth


## Parameters

### Path parameters

- **orgId** (string)
  Unique 24-hexadecimal digit string that identifies the organization that contains your projects. Use the [`/orgs`](#tag/Organizations/operation/listOrganizations) endpoint to retrieve all organizations to which the authenticated user has access.

- **invoiceId** (string)
  Unique 24-hexadecimal digit string that identifies the invoice submitted to the specified organization. Charges typically post the next day.


### Query parameters

- **envelope** (boolean)
  Flag that indicates whether Application wraps the response in an `envelope` JSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.

- **pretty** (boolean)
  Flag that indicates whether the response body should be in the prettyprint format.



## Responses
### 200
OK

#### Body: application/json (object)
- **amountBilledCents** (integer(int64))
  Sum of services that the specified organization consumed in the period covered in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).

- **amountPaidCents** (integer(int64))
  Sum that the specified organization paid toward this invoice. This parameter expresses its value in cents (100ths of one US Dollar).

- **created** (string(date-time))
  Date and time when MongoDB Cloud created this invoice. This parameter expresses its value in the ISO 8601 timestamp format in UTC.

- **creditsCents** (integer(int64))
  Sum that MongoDB credited the specified organization toward this invoice. This parameter expresses its value in cents (100ths of one US Dollar).

- **endDate** (string(date-time))
  Date and time when MongoDB Cloud finished the billing period that this invoice covers. This parameter expresses its value in the ISO 8601 timestamp format in UTC.

- **id** (string)
  Unique 24-hexadecimal digit string that identifies the invoice submitted to the specified organization. Charges typically post the next day.

- **lineItems** (array[object])
  List that contains individual services included in this invoice.

- **linkedInvoices** (array[object])
  List that contains the invoices for organizations linked to the paying organization.

- **links** (array[object])
  List of one or more Uniform Resource Locators (URLs) that point to API sub-resources, related API resources, or both. RFC 5988 outlines these relationships.

- **orgId** (string)
  Unique 24-hexadecimal digit string that identifies the organization charged for services consumed from MongoDB Cloud.

- **payments** (array[object])
  List that contains funds transferred to MongoDB to cover the specified service noted in this invoice.

- **refunds** (array[object])
  List that contains payments that MongoDB returned to the organization for this invoice.

- **salesTaxCents** (integer(int64))
  Sum of sales tax applied to this invoice. This parameter expresses its value in cents (100ths of one US Dollar).

- **startDate** (string(date-time))
  Date and time when MongoDB Cloud began the billing period that this invoice covers. This parameter expresses its value in the ISO 8601 timestamp format in UTC.

- **startingBalanceCents** (integer(int64))
  Sum that the specified organization owed to MongoDB when MongoDB issued this invoice. This parameter expresses its value in US Dollars.

- **statusName** (string)
  Phase of payment processing in which this invoice exists when you made this request. Accepted phases include:

  - `CLOSED`: MongoDB finalized all charges in the billing cycle but has yet to charge the customer.
  - `FAILED`: MongoDB attempted to charge the provided credit card but charge for that amount failed.
  - `FORGIVEN`: Customer initiated payment which MongoDB later forgave.
  - `FREE`: All charges totalled zero so the customer won't be charged.
  - `INVOICED`: MongoDB handled these charges using elastic invoicing.
  - `PAID`: MongoDB succeeded in charging the provided credit card.
  - `PENDING`: Invoice includes charges for the current billing cycle.
  - `PREPAID`: Customer has a pre-paid plan so they won't be charged.

- **subtotalCents** (integer(int64))
  Sum of all positive invoice line items contained in this invoice. This parameter expresses its value in cents (100ths of one US Dollar).

- **updated** (string(date-time))
  Date and time when MongoDB Cloud last updated the value of this payment. This parameter expresses its value in the ISO 8601 timestamp format in UTC.


### 401
Unauthorized.

#### Body: application/json (object)
- **badRequestDetail** (object)
  Bad request detail.

- **detail** (string | null)
  Describes the specific conditions or reasons that cause each type of error.

- **error** (integer(int32))
  HTTP status code returned with this error.

- **errorCode** (string)
  Application error code returned with this error.

- **parameters** (array[object])
  Parameters used to give more information about the error.

- **policiesCausingDecision** (array[object])
  Atlas Resource Policies that caused the request to be denied. Returned only when `errorCode` is `ATLAS_RESOURCE_POLICIES_VIOLATION_NOT_AUTHORIZED`.

- **reason** (string | null)
  Application error message returned with this error.


### 403
Forbidden.

#### Body: application/json (object)
- **badRequestDetail** (object)
  Bad request detail.

- **detail** (string | null)
  Describes the specific conditions or reasons that cause each type of error.

- **error** (integer(int32))
  HTTP status code returned with this error.

- **errorCode** (string)
  Application error code returned with this error.

- **parameters** (array[object])
  Parameters used to give more information about the error.

- **policiesCausingDecision** (array[object])
  Atlas Resource Policies that caused the request to be denied. Returned only when `errorCode` is `ATLAS_RESOURCE_POLICIES_VIOLATION_NOT_AUTHORIZED`.

- **reason** (string | null)
  Application error message returned with this error.


### 404
Not Found.

#### Body: application/json (object)
- **badRequestDetail** (object)
  Bad request detail.

- **detail** (string | null)
  Describes the specific conditions or reasons that cause each type of error.

- **error** (integer(int32))
  HTTP status code returned with this error.

- **errorCode** (string)
  Application error code returned with this error.

- **parameters** (array[object])
  Parameters used to give more information about the error.

- **policiesCausingDecision** (array[object])
  Atlas Resource Policies that caused the request to be denied. Returned only when `errorCode` is `ATLAS_RESOURCE_POLICIES_VIOLATION_NOT_AUTHORIZED`.

- **reason** (string | null)
  Application error message returned with this error.


### 500
Internal Server Error.

#### Body: application/json (object)
- **badRequestDetail** (object)
  Bad request detail.

- **detail** (string | null)
  Describes the specific conditions or reasons that cause each type of error.

- **error** (integer(int32))
  HTTP status code returned with this error.

- **errorCode** (string)
  Application error code returned with this error.

- **parameters** (array[object])
  Parameters used to give more information about the error.

- **policiesCausingDecision** (array[object])
  Atlas Resource Policies that caused the request to be denied. Returned only when `errorCode` is `ATLAS_RESOURCE_POLICIES_VIOLATION_NOT_AUTHORIZED`.

- **reason** (string | null)
  Application error message returned with this error.



[Powered by Bump.sh](https://bump.sh)
